Subject: bug#33684: DocView bombs out upon password protected PDFs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Feb 2019 08:29:46 +0200

On February 4, 2019 7:44:43 AM GMT+02:00, Tassilo Horn <[email-masked]> wrote:
> Federico Tedin <[email-masked]> writes:
> 
> Hi Federico,
> 
> > Hi Tassilo, thanks for your feedback. I've created a new patch with
> > the commit message, and also added an entry to NEWS. I'm attaching
> it
> > here.
> 
> Looks perfect.  Small nitpick: we use * for bullet points instead of -
> in the commit message, but I can amend that.  I can't push it from
> work,
> so I'll do it this evening.

When you do, please be sure to amend the log message to mention the bug number.

Also, the doc strings of 2 of the new functions need to be reformatted to have the first line be a complete sentence.  (Just move the second sentence to the next line, I'd say.)

Thanks.